#!/bin/bash

# Ce script est un exemple très rudimentaire de ce que ferait un répondeur OCSP.
# En production, un répondeur OCSP serait un service séparé et persistant.
# Ce script ne gère PAS les requêtes OCSP entrantes, il montre juste la commande
# pour générer une réponse OCSP si on lui donne une requête.

# Arguments attendus si le script était appelé par l'application PHP
# $1: Chemin vers le certificat à vérifier (certificat de l'utilisateur final)
# $2: Chemin vers le certificat du CA émetteur (intermédiaire ou root)
# $3: Chemin vers la clé privée du CA émetteur
# $4: Chemin vers la CRL du CA émetteur

# Exemple d'utilisation (ce n'est pas ce que Nginx/PHP ferait directement pour chaque requête OCSP) :
# openssl ocsp -index <CA_index_file> -CA <CA_cert> -rsigner <OCSP_signer_cert> -rkey <OCSP_signer_key> \
#   -issuer <issuer_cert> -cert <certificate_to_check> -url <OCSP_url>

echo "Ce script est un exemple et ne fonctionne pas comme un répondeur OCSP autonome pour HTTP."
echo "Un répondeur OCSP réel devrait écouter les requêtes et y répondre de manière persistante."
echo "Pour simuler une réponse OCSP avec OpenSSL, vous devrez lancer un serveur OCSP comme ceci (en arrière-plan):"
echo "openssl ocsp -index /root/tls/intermediate/mon_perimetre/index.txt -CA /root/tls/intermediate/mon_perimetre/certs/intermediate.cert.pem -rsigner /root/tls/intermediate/mon_perimetre/certs/intermediate.cert.pem -rkey /root/tls/intermediate/mon_perimetre/private/intermediate.key.pem -port 8888"
echo "Puis configurer Nginx pour proxyfier les requêtes à ce port."

# Pour la démo, si ce script était appelé, il ne ferait rien de fonctionnel en tant que répondeur HTTP.
exit 0
